Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskContext

    java.lang.Object
      com.bea.wli.worklist.api.TaskContext

All Implemented Interfaces:
  Serializable

    public class TaskContext

extends Object
implements Serializable

Represents the context information for a task or a task plan that can be used to create a task. This information is used in various methods of this interface, including the workload and availability calculation methods. The members taskId and taskPlan are mutually exclusive, meaning you can only set one or the other at any given time. Setting taskId indicates this TaskContext represents an existing task. Setting taskPlan indicates this TaskContext represents a new task of the given type.

Since:
  9.2
See Also:
  Serialized Form

Constructor Summary
`TaskContext(String taskId)`
`TaskContext(String taskId, TaskPlan taskPlan)` Create a new TaskContext and take taskId if non-null, and taskPlan if taskId is null, to be the 'active' value for this context.
`TaskContext(TaskPlan taskPlan)`

Method Summary
`String` | `getTaskId()`
`TaskPlan` | `getTaskPlan()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskContext

    public TaskContext(String taskId)

### TaskContext

    public TaskContext(TaskPlan taskPlan)

### TaskContext

    public TaskContext(String taskId,
                       TaskPlan taskPlan)

  Create a new TaskContext and take taskId if non-null, and taskPlan if taskId is null, to be the 'active' value for this context.

  Parameters:
    `taskId` - The id of an existing task.
    `taskPlan` - The task plan of the new task to be created.

Method Detail

### getTaskId

    public String getTaskId()

### getTaskPlan

    public TaskPlan getTaskPlan()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD